Package org.eclipse.m2m.atl.emftvm

# Interface Findtype

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `FindtypeImpl`

public interface Findtype extends Instruction
A representation of the model object 'Findtype'.

See Also:
  - `EmftvmPackage.getFindtype()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getModelname()`
Returns the value of the 'Modelname' attribute.
`String`
`getTypename()`
Returns the value of the 'Typename' attribute.
`void`
`setModelname(String value)`
Sets the value of the '`Modelname`' attribute.
`void`
`setTypename(String value)`
Sets the value of the '`Typename`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getModelname

String getModelname()
Returns the value of the 'Modelname' attribute.

If the meaning of the 'Modelname' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Modelname' attribute.
See Also:
  - `setModelname(String)`
  - `EmftvmPackage.getFindtype_Modelname()`

### setModelname

void setModelname(String value)
Sets the value of the '`Modelname`' attribute.

Parameters:
  `value` - the new value of the 'Modelname' attribute.
See Also:
  - `getModelname()`

### getTypename

String getTypename()
Returns the value of the 'Typename' attribute.

If the meaning of the 'Typename' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Typename' attribute.
See Also:
  - `setTypename(String)`
  - `EmftvmPackage.getFindtype_Typename()`

### setTypename

void setTypename(String value)
Sets the value of the '`Typename`' attribute.

Parameters:
  `value` - the new value of the 'Typename' attribute.
See Also:
  - `getTypename()`